<ul class="breadcrumb">
    <li><a href="<?= $this->url('root') ?>"><?= $this->icon('home') ?></a></li>
    <li><a href="<?= $this->url('campain') ?>"><?= $this->translate('campain_module_title') ?></a></li>
    <li class="active"><?= $this->translate('campain_nav_list') ?></li>
</ul>

<h1 class="page-title">
    <?= $this->icon('campain') ?> <?= $this->translate('campain_module_title') ?>
</h1>

<div class="row row-padding">
    <div class="col-xs-12">
        <div class="panel" ng-controller="campainListController as self" ng-init="__filters = {};">
        <table-builder options="self.options" items="self.campains" class="table-builder">
                <div class="panel-heading">
                    <?= $this->translate('campain_nav_list') ?>
                    <div class="panel-heading-right">
                        <div class="panel-heading-actions" tooltip="<?= $this->translate('tooltip_remove_from_list') ?>">
                            <?= $this->icon('eraser', 'fa-fw pointer', ['ng-click' => '__tb.removeFromList()']) ?>
                        </div>
                        <div class="panel-heading-actions" tooltip="<?= $this->translate('tooltip_export_xls') ?>">
                            <?= $this->icon('excel', 'fa-fw pointer', ['ng-click' => '__tb.exportExcel()']) ?>
                        </div>
                        <div class="panel-heading-actions" tooltip="<?= $this->translate('tooltip_refresh') ?>">
                            <?= $this->icon('refresh', 'fa-fw pointer', ['ng-click' => '__tb.loadData()']) ?>
                        </div>
                    </div>
                </div>
                <div class="panel-body">
                    <div class="row">
                        <div class="col-sm-4">
                            <div class="table-filters little-panel">
                                <div class="title table-filters-header">
                                    <div class="input-group">
                                        <div class="input-group-addon pointer" data-toggle="collapse" href="#filters-collapsed">
                                           <?= $this->icon('filters', 'fa fa-caret-down') ?>
                                        </div>
                                        <input type="text" placeholder="<?= $this->translate('search', null, null, false) ?>" class="form-control"
                                               ng-model="self.fullText" id="full-text" on-enter="self.fullTextSearch()"/>
                                        <div class="input-group-addon pointer" ng-click="self.fullTextSearch()">
                                            <?= $this->icon('search', 'fa-fw') ?>
                                        </div>
                                    </div>
                                </div>
                                <div id="filters-collapsed" class="body collapse">
                                    <?= $this->tableFilter('__tb.apiParams.search.data.filters', $this->campainFilters()); ?>
                                    <div class="row">
                                        <div class="col-xs-6">
                                            <button class="btn" ng-click="self.resetfullTextSearch(); __tb.resetFilters(); __tb.loadData()"><?= $this->translate('table_filter_reset_button') ?></button>
                                        </div>
                                        <div class="col-xs-6 text-right">
                                            <button class="btn" ng-click="self.resetfullTextSearch(); __tb.loadData()">
                                                <?= $this->icon('search', 'fa-fw') ?>
                                                <?= $this->translate('table_filter_button') ?>
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <table-builder-columns></table-builder-columns>
                        </div>
                        <?php if ($this->acl()->isAllowed('application:e:query:r')) : ?>
                            <div class="col-sm-4">
                                <table-builder-queries basket="<?= $this->acl()->isAllowed('application:p:query:basket') ? 'true' : 'false'  ?>"></table-builder-queries>
                            </div>
                        <?php endif; ?>
                    </div>
                    <div class="row">
                        <div class="col-xs-12">
                            <form name="campainForm">
                                <table table-builder-table class="table table-bordered table-condensed table-hover">
                                    <thead>
                                        <tr>
                                            <th tb-column tb-name="selection" class="checkbox-column"><input type="checkbox" ng-model="__tb.selection"/></th>
                                            <th tb-column tb-name="name"    tb-sortable="true" tb-toggle="true"><?= $this->translate('campain_field_name') ?></th>
                                            <th tb-column tb-name="evaluationManagers"    tb-sortable="true" tb-toggle="true"><?= $this->translate('campain_field_evaluationManagers') ?></th>
                                            <th tb-column tb-name="startDate" tb-sortable="true" tb-toggle="true"><?= $this->translate('measure_field_start') ?></th>
                                            <th tb-column tb-name="endDate" tb-sortable="true" tb-toggle="true"><?= $this->translate('measure_field_date') ?></th>
                                            <th tb-column tb-name="actions" class="actions-column"></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr ng-repeat="campain in self.campains" ng-class="{editing: self.editedLine == campain}">
                                            <td><input type="checkbox" ng-model="campain.selected"/></td>
                                            <td class="editable">
                                                <span ng-show="self.editedLine !== campain">
                                                    <a ng-if="campain._rights.read" href="<?= $this->url('campain/form') ?>/{{campain.id}}">{{campain.name}}</a>
                                                    <span ng-if="!campain._rights.read">{{campain.name}}</span>

                                                    <?= $this->icon('inline-edit', '', ['ng-click' => 'self.editLine(campain)', 'ng-if' => 'campain._rights.update']) ?>
                                                </span>
                                                <span ng-if="self.editedLine == campain">
                                                    <input type="text" class="form-control input-sm" ng-model="self.editedLineFields.name" required />
                                                    <field-errors field="name" errors="self.editedLineErrors"></field-errors>
                                                </span>
                                            </td>
                                            <td class="editable">
                                                <span ng-show="self.editedLine !== campain" class="comma-separated">
                                                    <span ng-repeat="manager in campain.evaluationManagers">
                                                          {{manager.name}}
                                                     </span>                                         
                                                    <?= $this->icon('inline-edit', '', ['ng-click' => 'self.editLine(campain)', 'ng-if' => 'campain._rights.update']) ?>
                                                </span>
                                                <span ng-if="self.editedLine == campain">
                                                <user-select id="evaluationManagers" name="evaluationManagers" multiple="true" 
													ng-model="self.editedLineFields.evaluationManagers" form="campainForm" required></user-select>
                                                    <field-errors field="evaluationManagers" errors="self.editedLineErrors"></field-errors>
                                                </span>
                                                <span></span>
                                            </td>
                                            <td class="editable">
                                                <span ng-if="self.editedLine != campain">{{campain.startDate | dateFormat : 'DD/MM/YYYY'}}</span>
                                                <span ng-if="self.editedLine == campain">
                                                    <input type="text" class="form-control input-sm" autocomplete="off"
                                                        input-mask="qdate" ng-model="self.editedLineFields.startDate" />
                                                    <field-errors field="startDate" errors="self.editedLineErrors"></field-errors>
                                                </span>
                                            </td>
                                            <td class="editable">
                                                <span ng-if="self.editedLine != campain">{{campain.endDate | dateFormat : 'DD/MM/YYYY'}}</span>
                                                <span ng-if="self.editedLine == campain">
                                                    <input type="text" class="form-control input-sm" autocomplete="off"
                                                        input-mask="qdate" ng-model="self.editedLineFields.endDate" />
                                                    <field-errors field="endDate" errors="self.editedLineErrors"></field-errors>
                                                </span>
                                            </td>
                                            <td>
                                                <div class="btn-group btn-group-actions" ng-if="self.editedLine !== campain">
                                                    
                                                    <?php if ($this->acl()->isAllowed('campain:e:campain:r')) : ?>
                                                        <a ng-if="campain._rights.read" href="<?= $this->url('campain/form') ?>/{{campain.id}}" class="btn btn-xs btn-default" tooltip="<?= $this->translate('tooltip_edit') ?>">
                                                            <?= $this->icon('edit') ?>
                                                        </a>
                                                    <?php endif; ?>

                                                    <?php if ($this->acl()->isAllowed('campain:e:campain:d')) : ?>
                                                        <a ng-if="campain._rights.delete" href="" class="btn btn-xs btn-default" tooltip="<?= $this->translate('tooltip_delete') ?>" ng-click="self.deletecampain(campain);">
                                                            <?= $this->icon('delete') ?>
                                                        </a>
                                                    <?php endif; ?>
                                                </div>
                                                <div class="btn-group btn-group-actions" ng-if="self.editedLine == campain">
                                                    <button class="btn btn-xs btn-default" ng-click="self.saveEditedLine(campain)" type="submit" tooltip="<?= $this->translate('tooltip_save') ?>">
                                                        <?= $this->icon('save') ?>
                                                    </button>
                                                    <button class="btn btn-xs btn-default" ng-click="self.editedLine = null" type="button" tooltip="<?= $this->translate('tooltip_cancel') ?>">
                                                        <?= $this->icon('close') ?>
                                                    </button>
                                                </div>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </form>
                        </div>
                    </div>
                </div>
            </table-builder>
        </div>
    </div>
</div>

<?php
    $fabLinks = [];

    if ($this->acl()->isAllowed('campain:e:campain:c')) {
        $fabLinks[] = [
            'href' => $this->url('campain/form'),
            'text' => $this->icon('create', 'fa-fw') . ' ' . $this->translate('campain_nav_form')
        ];
    }

    echo $this->fabMenu($fabLinks);
?>

<?php
    $this->angular('js/src/campain/controller/campain/list.js');

    $this->angular('js/src/application/query/service/query.js');
    $this->angular('js/src/user/service/user.js');
    $this->angular('js/src/campain/service/campain.js');

    $this->angular('js/src/user/directive/userSelect.js');
?>
